var xmlhttp;

// Pobieranie przepisu za pomocą Ajaksa
function getRecipe(evnt) {
   if (!xmlhttp) xmlhttp = aaGetXmlHttpRequest();
   if (!xmlhttp) return;
   var drink = encodeURIComponent(document.getElementById('drink').value);
   var qry = "drink=" + drink;
   var url = 'recipe4.php?' + qry;
   xmlhttp.open('GET', url, true);
   xmlhttp.onreadystatechange = printRecipe;
   xmlhttp.send(null);
   if (evnt && evnt.preventDefault())
     evnt.preventDefault();
   return false;
}

// Dodaje przepis do strony
function printRecipe() {
   if(xmlhttp.readyState == 4 && xmlhttp.status == 200) {

      if (window.ActiveXObject) {
        var doc=new ActiveXObject("Microsoft.XMLDOM");
        doc.async="false";
        doc.loadXML(xmlhttp.responseText);
      } else {
        var parser=new DOMParser();
        var doc=parser.parseFromString(xmlhttp.responseText,"text/xml");
      }
      var xDoc = doc.documentElement;

      var body = document.getElementsByTagName('body');

      // Usuwa przepis, jeśli istnieje
      if (document.getElementById('recipe')) {
         body[0].removeChild(document.getElementById('recipe'));
      }
      var recipe = document.createElement('div');
      recipe.id = 'recipe';
      recipe.className='recipe';
 
      // Dodaje nagłówek
      var title = xDoc.getElementsByTagName('h3')[0].firstChild.nodeValue;
      var titleNode = document.createElement('h3');
      titleNode.appendChild(document.createTextNode(title));
      recipe.appendChild(titleNode);

      // Dodaje składniki
      var ul = document.createElement("ul");
      var ingredients = xDoc.getElementsByTagName('li');
      for (var i = 0; i < ingredients.length; i++) {
         var x = document.createElement('li');
         x.appendChild(document.createTextNode(ingredients[i].firstChild.nodeValue));
         ul.appendChild(x);
      }
      recipe.appendChild(ul);

      // Dodaje instrukcję
      var instr = xDoc.getElementsByTagName('p')[0].firstChild.nodeValue;
      var instrNode = document.createElement('p');
      instrNode.appendChild(document.createTextNode(instr));
      recipe.appendChild(instrNode);

     // Dołącza do ciała
     body[0].appendChild(recipe);
   }
}

// Interwencja w przesyłanie formularza
window.onload=function() {
   if (aaScreenIE()) return;
   document.getElementById('myform').onsubmit=getRecipe;
};
